package com.za.ui.servicing.order_confirm.modify_money

import ModifyMoneyScreen
import android.content.Context
import android.content.Intent
import androidx.compose.runtime.Composable
import com.za.base.BaseActivity

class ModifyMoneyActivity : BaseActivity() {
    @Composable
    override fun ContentView() {
        ModifyMoneyScreen(userOrderId = intent.getIntExtra("userOrderId", 0), taskId = intent.getIntExtra("taskId", 0))
    }

    companion object {
        fun goModifyMoney(context: Context, userOrderId: Int, taskId: Int) {
            context.startActivity(Intent(context, ModifyMoneyActivity::class.java).apply {
                putExtra("userOrderId", userOrderId)
                putExtra("taskId", taskId)
            })
        }
    }
}